﻿//
// WindowsFormsCSharp
//
// Copyright (c) 2016 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System;
using System.Windows.Forms;

namespace WindowsFormsCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // 1.カラムヘッダーを改行する
            DataGridView1.ColumnHeadersDefaultCellStyle.WrapMode = DataGridViewTriState.True;

            // 2.カラムヘッダーを改行しない
            DataGridView2.ColumnHeadersDefaultCellStyle.WrapMode = DataGridViewTriState.False;


            // 3.カラム毎に設定
            //   １つ目のカラムは改行
            DataGridView3.Columns[0].HeaderCell.Style.WrapMode = DataGridViewTriState.True;
            //   ２つ目のカラムは改行しない
            DataGridView3.Columns[1].HeaderCell.Style.WrapMode = DataGridViewTriState.False;
        }
    }
}
